Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(99)

Issue 985003004: base: Fix/add header #ifndef guards. (Closed)

Created:
5 years, 5 months ago by danakj
Modified:
5 years, 5 months ago
Reviewers:
bulach, Nico
CC:
chromium-reviews, extensions-reviews_chromium.org, Dai Mikurube (NOT FULLTIME), wfh+watch_chromium.org, gavinp+memory_chromium.org, sadrul, grt+watch_chromium.org, tfarina, tracing+reviews_chromium.org, chromium-apps-reviews_chromium.org, chirantan+watch_chromium.org, erikwright+watch_chromium.org, jshin+watch_chromium.org, piman
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

base: Fix/add header #ifndef guards. Header guards should be defined based on the path and file name of the header file. Some headers have it wrong, some are missing the guards, and some just have the matching comment wrong. R=Nico BUG=464816 Committed: https://crrev.com/301b392761fd8f66f3a701ab1dd011c6e7a55e19 Cr-Commit-Position: refs/heads/master@{#319722} Committed: https://crrev.com/0a44860ef0cce93998ebc97f0631beae418e07ce Cr-Commit-Position: refs/heads/master@{#319793}

Patch Set 1 #

Patch Set 2 : headers: rebase #

Patch Set 3 : headers: . #

Unified diffs Side-by-side diffs Delta from patch set Stats (+122 lines, -115 lines) Patch
M base/allocator/allocator_extension.h View 2 chunks +3 lines, -3 lines 0 comments Download
M base/allocator/allocator_extension_thunks.h View 2 chunks +3 lines, -3 lines 0 comments Download
M base/android/important_file_writer_android.h View 2 chunks +3 lines, -3 lines 0 comments Download
M base/android/java_handler_thread.h View 2 chunks +3 lines, -3 lines 0 comments Download
M base/android/jni_generator/sample_for_tests.h View 2 chunks +5 lines, -0 lines 0 comments Download
M base/android/library_loader/library_load_from_apk_status_codes.h View 2 chunks +3 lines, -3 lines 0 comments Download
M base/android/library_loader/library_loader_hooks.h View 2 chunks +3 lines, -3 lines 0 comments Download
M base/android/trace_event_binding.h View 2 chunks +3 lines, -3 lines 0 comments Download
M base/build_time.h View 2 chunks +3 lines, -3 lines 0 comments Download
M base/callback_forward.h View 1 chunk +1 line, -1 line 0 comments Download
M base/debug/debugger.h View 2 chunks +3 lines, -3 lines 0 comments Download
M base/debug/profiler.h View 2 chunks +3 lines, -3 lines 0 comments Download
M base/deferred_sequenced_task_runner.h View 2 chunks +3 lines, -3 lines 0 comments Download
M base/event_types.h View 2 chunks +3 lines, -3 lines 0 comments Download
M base/i18n/string_compare.h View 1 chunk +1 line, -1 line 0 comments Download
M base/i18n/timezone.h View 1 chunk +1 line, -1 line 0 comments Download
M base/mac/cocoa_protocols.h View 2 chunks +3 lines, -3 lines 0 comments Download
M base/mac/libdispatch_task_runner.h View 2 chunks +3 lines, -3 lines 0 comments Download
M base/memory/memory_pressure_listener.h View 2 chunks +3 lines, -3 lines 0 comments Download
M base/message_loop/message_pump_default.h View 1 chunk +1 line, -1 line 0 comments Download
M base/message_loop/message_pump_dispatcher.h View 2 chunks +3 lines, -3 lines 0 comments Download
M base/numerics/safe_conversions.h View 2 chunks +3 lines, -4 lines 0 comments Download
M base/numerics/safe_conversions_impl.h View 2 chunks +3 lines, -4 lines 0 comments Download
M base/numerics/safe_math.h View 2 chunks +3 lines, -3 lines 0 comments Download
M base/numerics/safe_math_impl.h View 2 chunks +3 lines, -3 lines 0 comments Download
M base/pending_task.h View 2 chunks +3 lines, -3 lines 0 comments Download
M base/process/internal_linux.h View 2 chunks +3 lines, -3 lines 0 comments Download
M base/process/process.h View 2 chunks +3 lines, -3 lines 0 comments Download
M base/scoped_native_library.h View 1 chunk +1 line, -1 line 0 comments Download
M base/sequenced_task_runner.h View 2 chunks +3 lines, -3 lines 0 comments Download
M base/test/null_task_runner.h View 1 2 chunks +5 lines, -0 lines 0 comments Download
M base/test/sequenced_task_runner_test_template.h View 2 chunks +3 lines, -3 lines 0 comments Download
M base/test/sequenced_worker_pool_owner.h View 2 chunks +3 lines, -3 lines 0 comments Download
M base/test/simple_test_clock.h View 2 chunks +3 lines, -3 lines 0 comments Download
M base/test/simple_test_tick_clock.h View 2 chunks +3 lines, -3 lines 0 comments Download
M base/test/task_runner_test_template.h View 1 chunk +1 line, -1 line 0 comments Download
M base/test/test_reg_util_win.h View 2 chunks +3 lines, -3 lines 0 comments Download
M base/time/clock.h View 2 chunks +3 lines, -3 lines 0 comments Download
M base/time/default_clock.h View 2 chunks +3 lines, -3 lines 0 comments Download
M base/time/default_tick_clock.h View 2 chunks +3 lines, -3 lines 0 comments Download
M base/time/tick_clock.h View 2 chunks +3 lines, -3 lines 0 comments Download
M base/timer/mock_timer.h View 1 chunk +1 line, -1 line 0 comments Download
M base/trace_event/trace_event.h View 1 chunk +1 line, -1 line 0 comments Download
M base/trace_event/trace_event_synthetic_delay.h View 1 chunk +1 line, -1 line 0 comments Download
M base/win/object_watcher.h View 1 chunk +1 line, -1 line 0 comments Download
M base/win/scoped_bstr.h View 1 chunk +1 line, -1 line 0 comments Download
M base/win/scoped_handle.h View 1 chunk +1 line, -1 line 0 comments Download
M base/win/startup_information.h View 1 chunk +1 line, -2 lines 0 comments Download

Messages

Total messages: 26 (8 generated)
danakj
5 years, 5 months ago (2015-03-06 22:29:07 UTC) #1
Nico
lgtm
5 years, 5 months ago (2015-03-06 22:39:38 UTC) #2
tfarina
Have you used Eric's fix-include-guards.py script? https://code.google.com/p/chromium/issues/detail?id=435361#c7
5 years, 5 months ago (2015-03-06 22:40:42 UTC) #3
danakj
On Fri, Mar 6, 2015 at 2:40 PM, <tfarina@chromium.org> wrote: > Have you used Eric's ...
5 years, 5 months ago (2015-03-06 22:45:35 UTC) #4
tfarina
On Fri, Mar 6, 2015 at 7:45 PM, Dana Jansens <danakj@chromium.org> wrote: > On Fri, ...
5 years, 5 months ago (2015-03-06 22:50:59 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/985003004/1
5 years, 5 months ago (2015-03-07 00:28:25 UTC) #7
commit-bot: I haz the power
Failed to apply patch for base/test/null_task_runner.h: While running git apply --index -3 -p1; error: patch ...
5 years, 5 months ago (2015-03-07 02:20:50 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/985003004/20001
5 years, 5 months ago (2015-03-09 16:22:08 UTC) #13
commit-bot: I haz the power
Committed patchset #2 (id:20001)
5 years, 5 months ago (2015-03-09 20:22:17 UTC) #14
commit-bot: I haz the power
Patchset 2 (id:??) landed as https://crrev.com/301b392761fd8f66f3a701ab1dd011c6e7a55e19 Cr-Commit-Position: refs/heads/master@{#319722}
5 years, 5 months ago (2015-03-09 20:23:05 UTC) #15
Bence
A revert of this CL (patchset #2 id:20001) has been created in https://codereview.chromium.org/989343002/ by bnc@chromium.org. ...
5 years, 5 months ago (2015-03-09 20:44:01 UTC) #16
danakj
On 2015/03/09 20:44:01, Bence wrote: > A revert of this CL (patchset #2 id:20001) has ...
5 years, 5 months ago (2015-03-09 20:49:23 UTC) #17
danakj
It seems that jni_generator_tests.py expects a different header guard than chromium uses for this file. ...
5 years, 5 months ago (2015-03-09 20:52:56 UTC) #18
danakj
5 years, 5 months ago (2015-03-09 20:54:10 UTC) #20
danakj
So the jni_generator takes a java class and generates a header file from it. Most ...
5 years, 5 months ago (2015-03-09 22:03:09 UTC) #23
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/985003004/40001
5 years, 5 months ago (2015-03-09 22:03:17 UTC) #24
commit-bot: I haz the power
Committed patchset #3 (id:40001)
5 years, 5 months ago (2015-03-10 00:31:44 UTC) #25
commit-bot: I haz the power
5 years, 5 months ago (2015-03-10 00:32:39 UTC) #26
Message was sent while issue was closed.
Patchset 3 (id:??) landed as
https://crrev.com/0a44860ef0cce93998ebc97f0631beae418e07ce
Cr-Commit-Position: refs/heads/master@{#319793}

Powered by Google App Engine
This is Rietveld 408576698